Subject: Re: Adding a 'version' command to the server

From: Lea Wiemann <[email-masked]>
Date: Sat, 28 Jun 2008 14:25:20 +0200

Alex Riesen wrote:
> And exactly how are the incompatibility problems avoided? By denying
> the service if the versions don't match?

No, by talking to older servers in a way they understand it.  So for 
instance it would call "git-upload-pack" instead of "git upload-pack".

(See also the SSH protocol with two versions, and I think Subversion's 
svnserve also somehow identifies its own capabilities and/or version.)

-- Lea